curl -X DELETE \
'https://api.appcharge.com/v2/offer/reward-calendar-1' \
-H 'Content-Type: application/json' \
-H 'x-publisher-token: <x-publisher-token>'
{
"offerId": "69fb22e6dd352b799c65e97f",
"publisherOfferId": "reward-calendar-1",
"name": "Weekly Reward Calendar 1",
"type": "PopUp",
"subType": "RewardCalendar",
"active": true,
"priority": 1,
"startOver": true,
"rewardCalendar": {
"resetBehavior": "ToCalendarStart",
"popupTrigger": "ShowAutomatically",
"rewardCollectionBehavior": "ForcePlayerToCollect"
},
"offerUi": {
"offerUiId": "69fb22e6dd352b799c65e97e",
"active": true,
"offerUiType": "PopUp",
"offerUiSubType": "RewardCalendar",
"name": "Weekly Reward Calendar Design",
"externalId": "reward-calendar-design-1"
},
"productsSequence": [
{
"index": 1,
"products": [
{
"publisherProductId": "coins",
"quantity": 100,
"priority": "Sub"
}
],
"priceInUsdCents": 0
},
{
"index": 7,
"products": [
{
"publisherProductId": "chest",
"quantity": 1,
"priority": "Main"
}
],
"priceInUsdCents": 0
}
],
"segments": [
"New User"
],
"createdAt": "2026-06-08T10:00:44.528Z",
"updatedAt": "2026-06-08T10:00:44.528Z"
}
Delete Reward Calendar
Deletes a Reward Calendar offer.
curl -X DELETE \
'https://api.appcharge.com/v2/offer/reward-calendar-1' \
-H 'Content-Type: application/json' \
-H 'x-publisher-token: <x-publisher-token>'
{
"offerId": "69fb22e6dd352b799c65e97f",
"publisherOfferId": "reward-calendar-1",
"name": "Weekly Reward Calendar 1",
"type": "PopUp",
"subType": "RewardCalendar",
"active": true,
"priority": 1,
"startOver": true,
"rewardCalendar": {
"resetBehavior": "ToCalendarStart",
"popupTrigger": "ShowAutomatically",
"rewardCollectionBehavior": "ForcePlayerToCollect"
},
"offerUi": {
"offerUiId": "69fb22e6dd352b799c65e97e",
"active": true,
"offerUiType": "PopUp",
"offerUiSubType": "RewardCalendar",
"name": "Weekly Reward Calendar Design",
"externalId": "reward-calendar-design-1"
},
"productsSequence": [
{
"index": 1,
"products": [
{
"publisherProductId": "coins",
"quantity": 100,
"priority": "Sub"
}
],
"priceInUsdCents": 0
},
{
"index": 7,
"products": [
{
"publisherProductId": "chest",
"quantity": 1,
"priority": "Main"
}
],
"priceInUsdCents": 0
}
],
"segments": [
"New User"
],
"createdAt": "2026-06-08T10:00:44.528Z",
"updatedAt": "2026-06-08T10:00:44.528Z"
}
curl -X DELETE \
'https://api.appcharge.com/v2/offer/reward-calendar-1' \
-H 'Content-Type: application/json' \
-H 'x-publisher-token: <x-publisher-token>'
{
"offerId": "69fb22e6dd352b799c65e97f",
"publisherOfferId": "reward-calendar-1",
"name": "Weekly Reward Calendar 1",
"type": "PopUp",
"subType": "RewardCalendar",
"active": true,
"priority": 1,
"startOver": true,
"rewardCalendar": {
"resetBehavior": "ToCalendarStart",
"popupTrigger": "ShowAutomatically",
"rewardCollectionBehavior": "ForcePlayerToCollect"
},
"offerUi": {
"offerUiId": "69fb22e6dd352b799c65e97e",
"active": true,
"offerUiType": "PopUp",
"offerUiSubType": "RewardCalendar",
"name": "Weekly Reward Calendar Design",
"externalId": "reward-calendar-design-1"
},
"productsSequence": [
{
"index": 1,
"products": [
{
"publisherProductId": "coins",
"quantity": 100,
"priority": "Sub"
}
],
"priceInUsdCents": 0
},
{
"index": 7,
"products": [
{
"publisherProductId": "chest",
"quantity": 1,
"priority": "Main"
}
],
"priceInUsdCents": 0
}
],
"segments": [
"New User"
],
"createdAt": "2026-06-08T10:00:44.528Z",
"updatedAt": "2026-06-08T10:00:44.528Z"
}
Headers
Publisher token used for authentication.
Path Parameters
Reward Calendar offer ID provided by the publisher. This is the offer's External ID value in the Publisher Dashboard.
"reward-calendar-1"
Response
Reward Calendar offer deleted successfully.
Internal publisher ID.
"69133d595af23405d88843a5"
Reward Calendar offer ID provided by the publisher. This is the offer's External ID value in the Publisher Dashboard.
"reward-calendar-1"
Reward Calendar offer name.
"Weekly Reward Calendar"
Reward Calendar offer display name.
"Weekly Reward Calendar"
Offer type. For Reward Calendars, use PopUp.
PopUp "PopUp"
Popup offer subtype. For Reward Calendars, use RewardCalendar.
RewardCalendar "RewardCalendar"
Whether the Reward Calendar offer is active.
true
Display priority for eligible popup offers. Lower numbers appear first.
x >= 11
Whether the Reward Calendar restarts from Week 1 after the player completes all configured weeks.
true
Information about the Reward Calendar behavior configuration.
Show child attributes
Show child attributes
Reward Calendar offer design details returned with the offer.
Show child attributes
Show child attributes
A list of reward tiles. The array length must be a multiple of seven, with one to 10 configured weeks.
7 - 70 elementsShow child attributes
Show child attributes
A list of segments eligible for this offer.
["New User"]
Badges attached to the offer.
Internal offer ID.
"69fb22e6dd352b799c65e97f"
Date the Reward Calendar offer was created.
"2026-06-11T05:09:03.575Z"
Date the Reward Calendar offer was updated.
"2026-06-11T05:09:03.575Z"
Was this page helpful?
